Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultStandardSubstanceAndSubstanceType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.ConsultStandardSubstanceType
be.fgov.ehealth.dics.protocol.v4.ConsultStandardSubstanceAndSubstanceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultStandardSubstanceAndSubstanceType extends ConsultStandardSubstanceType implements Serializable

Java class for ConsultStandardSubstanceAndSubstanceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultStandardSubstanceAndSubstanceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultStandardSubstanceType">
           <sequence>
             <element name="Substance" type="{urn:be:fgov:ehealth:dics:core:v4:refdata}SubstanceKeyType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultStandardSubstanceAndSubstanceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SubstanceKeyType>`
  `getSubstances()`
  Gets the value of the substances property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v4.ConsultStandardSubstanceType

  `getCode, getDefinition, getName, getStandard, getUrl, setCode, setDefinition, setName, setStandard, setUrl`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultStandardSubstanceAndSubstanceType

    public ConsultStandardSubstanceAndSubstanceType()

- ## Method Details

  - ### getSubstances

    public List<SubstanceKeyType> getSubstances()
    Gets the value of the substances property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the substances property.

    For example, to add a new item, do as follows:

         getSubstances().add(newItem);

    Objects of the following type(s) are allowed in the list `SubstanceKeyType`

    Returns:
      The value of the substances property.